Message: RE: Stepping Verbose Error Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None RE: Stepping Verbose Error 

Forum: Run Management
Re: None Stepping Verbose Error (Dylan)
Date: 20 Jul, 2010
From: Makoto Asai <Makoto Asai>

Hi,

G4PhysListFactory itself has nothing related to SteppingVerbose.
I presume you create your own SteppingVerbose in your main().
Could you please check whether it is properly constructed
*before* the instantiation of G4RunManager? If no user-defined
SteppingVerbose is instantiated beforehand, instantiation of 
G4RunManager triggers the instantiation of the default 
G4SteppingVerbose. Once this default SteppingVerbose is created,
the user cannot alter it with his own SteppingVerbose.

Hope this helps,
Makoto

> -----Original Message-----
> From: Dylan [mailto:reeddyla@isu.edu]
> Sent: Tuesday, July 20, 2010 12:29 PM
> To: runmanage-g4hn
> Subject: Stepping Verbose Error
> 
> 
> *** Discussion title: Run Management
> 
> I recently switched from a manually constructed physics list to
> accessing a shared library. I added the following to my program:
> 
> G4PhysListFactory *factory = new G4PhysListFactory();
> 
> G4VUserPhysicsList *physics = factory-
> >GetReferencePhysList("QGSP_BIC");
> 
> runManager->SetUserInitialization(physics);
> 
> I was just using a PhysicsList.cc previously.
> 
> The program compiles, but when I run it I get the following error:
> 
> G4SteppingVerbose is the singleton. Only one SteppingVerbose class can
> be instantiated.
> 
> Does the Physics List Factory instantiate it's own version of
> SteppingVerbose? I don't understand where this error is coming from.
> 
> Any help will be appreciated.
> 
> Dylan Reedy
> 
> -------------------------------------------------------------
> Visit this GEANT4 at hypernews.slac.stanford.edu message (to reply or
> unsubscribe) at:
> http://hypernews.slac.stanford.edu/HyperNews/geant4/get/runmanage/278.h
> tml

 Add Message Add Message
to: "RE: Stepping Verbose Error"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]